Bug 730452 - Solaris clients do not work with Spacewalk 1.5
Summary: Solaris clients do not work with Spacewalk 1.5
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Spacewalk
Classification: Community
Component: Server
Version: 1.5
Hardware: i386
OS: Linux
unspecified
high
Target Milestone: ---
Assignee: Michael Mráka
QA Contact: Red Hat Satellite QA List
URL:
Whiteboard:
Depends On:
Blocks: space16
TreeView+ depends on / blocked
 
Reported: 2011-08-13 03:43 UTC by Roy Keene
Modified: 2011-12-22 16:51 UTC (History)
0 users

Fixed In Version: spacewalk-backend-1.6.9-1
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-12-22 16:51:27 UTC


Attachments (Terms of Use)
Patch (1.13 KB, patch)
2011-08-13 03:43 UTC, Roy Keene
no flags Details | Diff

Description Roy Keene 2011-08-13 03:43:50 UTC
Created attachment 518135 [details]
Patch

Description of problem:
Most "up2date" or "smart" operations fail when issued on a Solaris client.  HTTP error 500 Internal Server Error


Version-Release number of selected component (if applicable):
1.5


How reproducible:
100%

Steps to Reproduce:
1. Upgrade server to Spacewalk 1.5
2. Run "up2date -l" on Solaris client
3. Note the failure
  
Actual results:
500 Internal Server Error

Expected results:
List of packages

Additional info:
From httpd/error_log:

Exception reported from spacewalk.example.com
Time: Fri Aug 12 16:03:31 2011
Exception type spacewalk.server.rhnSQL.sql_base.SQLStatementPrepareError
Exception while handling function listAllPackagesComplete
Request object information:
URI: /XMLRPC/$RHN/solaris10-sparc/listAllPackagesComplete/20110812045957
Remote Host: 1.2.3.4
Server Name: spacewalk.example.com:443
Headers passed in:
        Accept-Encoding: identity
        Host: spacewalk.example.com:443 
        content-type: text/xml
        user-agent: rhn.rpclib.py/$Revision: 1.40 $
        x-client-version: 1
        x-info: RPC Processor (C) Red Hat, Inc (version 1.46)
        x-rhn-auth: .........
        x-rhn-auth-channels: ['solaris10-sparc', '20110812045957', '1', '1'],['myorg-solaris-sparc-10u6', '20110812004809', '0', '1']
        x-rhn-auth-expire-offset: 3600.0
        x-rhn-auth-server-time: 1313165010.55
        x-rhn-auth-user-id: 
        x-rhn-server-id: 1000012093
        x-rhn-transport-capability: follow-redirects=1
        x-transport-info: Extended Capabilities Transport (C) Red Hat, Inc (version 1.40)
        x-up2date-version: @VERSION@
Extra information about this error:
SQL Error generated: ('ORA-00904: "PR"."SENSE": invalid identifier\n', 904, "select pp.package_id, 'provides', pp.capability_id, pp.sense, pc.name, pc.version from rhnPackageProvides pp, rhnPackageCapability pc where pp.package_id = :package_id and pp.capability_id = pc.id union all select pr.package_id, 'requires', pr.capability_id, pr.sense, pc.name, pc.version from rhnPackageRequires pr, rhnPackageCapability pc where pr.package_id = :package_id and pr.capability_id = pc.id union all select pr.package_id, 'recommends', pr.capability_id, pr.sense, pc.name, pc.version from rhnPackageRecommends prec, rhnPackageCapability pc where prec.package_id = :package_id and prec.capability_id = pc.id union all select pr.package_id, 'suggests', pr.capability_id, pr.sense, pc.name, pc.version from rhnPackageSuggests sugg, rhnPackageCapability pc where sugg.package_id = :package_id and sugg.capability_id = pc.id union all select pr.package_id, 'supplements', pr.capability_id, pr.sense, pc.name, pc.version from rhnPackageSupplements supp, rhnPackageCapability pc where supp.package_id = :package_id and supp.capability_id = pc.id union all select pcon.package_id, 'conflicts', pcon.capability_id, pcon.sense, pc.name, pc.version from rhnPackageConflicts pcon, rhnPackageCapability pc where pcon.package_id = :package_id and pcon.capability_id = pc.id union all select po.package_id, 'obsoletes', po.capability_id, po.sense, pc.name, pc.version from rhnPackageObsoletes po, rhnPackageCapability pc where po.package_id = :package_id and po.capability_id = pc.id")

Patch attached.

Comment 1 Michael Mráka 2011-08-16 12:53:53 UTC
Fixed in spacewalk master by
commit 3cf5d524129038e68cf4daf4d6191e6e7ddcfff4
    730452 - fixed table aliasses

In the meantime you can manually apply the patch to your Spacewalk 1.5.

Comment 2 Milan Zázrivec 2011-12-22 16:51:27 UTC
Spacewalk 1.6 has been released.


Note You need to log in before you can comment on or make changes to this bug.